Opened 5 years ago

Closed 4 years ago

#1032 closed defect (fixed)

PTS < DTS while stream copying WTV files causing failure

Reported by: ramitbhalla Owned by:
Priority: normal Component: undetermined
Version: git-master Keywords: wtv h264 av_interleaved_write_frame
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

I'm trying to stream copy a WTV file over a MP4 File (the WTV file contains H.264 video and AC3 audio).

The command used is:

ffmpeg -i "test - copy".wtv -vcodec copy -acodec copy test.mp4

Output is:
ffmpeg version N-37915-g6cb2085 Copyright (c) 2000-2012 the FFmpeg developers

built on Feb 15 2012 20:47:20 with gcc 4.6.2
configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-runtime-cpudetect --enable-avisynth --enable-bzlib --enable-frei0r --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libfreetype --enable-libgsm --enable-libmp3lame --enable-libopenjpeg --enable-librtmp --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
libavutil 51. 39.100 / 51. 39.100
libavcodec 54. 3.100 / 54. 3.100
libavformat 54. 1.100 / 54. 1.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 62.100 / 2. 62.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 6.100 / 0. 6.100
libpostproc 52. 0.100 / 52. 0.100

[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS referenced
[h264 @ 01BBBA60] non-existing SPS 0 referenced in buffering period
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] non-existing PPS 0 referenced
[h264 @ 01BBBA60] decode_slice_header error
[h264 @ 01BBBA60] no frame!
[h264 @ 01BBBA60] mmco: unref short failure

Last message repeated 1 times

[h264 @ 01BBBA60] Increasing reorder buffer to 1
[h264 @ 01BBBA60] Increasing reorder buffer to 2
[h264 @ 01BBBA60] Increasing reorder buffer to 3
[h264 @ 01BBBA60] mmco: unref short failure
Input #0, wtv, from 'Test - Copy.wtv':

Metadata:

Tuner ID : 716453EF-7443-4F94-9E30-ED10F1C5788D
WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74bD
WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000eD
Title : Mis tardes con Margueritte
WM/SubTitleDescription: Un parque de una pequeña ciudad sirve de lugar de encuentro para Germain, un carpintero de algo más de cincuenta años y casi analfabeto, y Margueritte, una frágil anciana apasionada por la lectura. Margueritte empieza a leerle extractos de novelas, ha
genre : Cine;Comedia
WM/OriginalReleaseTime: 2010
WM/MediaCredits : Gérard Depardieu/Gisèle? Casadesus/François?-Xavier Demaison/Maurane/Gérard? Depardieu/Gisèle? Casadesus/François?-Xavier Demaison/Maurane/Gérard? Depardieu/Gisèle? Casadesus/François?-Xavier Demaison/Maurane/Gérard? Depardieu/Gisèle? Casadesus/François?
service_provider: Canal+ Comedia HD
service_name : Canal+ Comedia HD
WM/MediaNetworkAffiliation: dvblink
WM/MediaOriginalChannel: 15
WM/MediaOriginalChannelSubNumber: 0
WM/MediaOriginalBroadcastDateTime: 0001-01-01T00:00:00Z
WM/MediaOriginalRunTime: 12066576831
WM/MediaIsStereo: false
WM/MediaIsRepeat: false
WM/MediaIsLive : false
WM/MediaIsTape : false
WM/MediaIsDelay : false
WM/MediaIsSubtitled: false
WM/MediaIsMovie : true
WM/MediaIsPremiere: false
WM/MediaIsFinale: false
WM/MediaIsSAP : false
WM/MediaIsSport : false
WM/Provider : MediaCenterDefault?
WM/VideoClosedCaptioning: false
WM/WMRVEncodeTime: 2012-01-30 18:28:53
WM/WMRVServiceID: !Generated!5457f0224618436e93271f066a788808
WM/WMRVProgramID: !MCProgram!8162774331456992!canal+ comedia hd!1327943400
WM/WMRVRequestID: 0
WM/WMRVScheduleItemID: 0
WM/WMRVQuality : 0
WM/WMRVOriginalSoftPrePadding: 5027
WM/WMRVOriginalSoftPostPadding: 900
WM/WMRVHardPrePadding: -4727
WM/WMRVHardPostPadding: 0
WM/WMRVATSCContent: false
WM/WMRVDTVContent: true
WM/WMRVHDContent: true
Duration : 1303804573
WM/WMRVEndTime : 2012-01-30 18:31:03
WM/WMRVBitrate : 20.971520
WM/WMRVKeepUntil: -1
WM/WMRVActualSoftPrePadding: -6
WM/WMRVActualSoftPostPadding: -176
WM/WMRVContentProtected: false
WM/WMRVContentProtectedPercent: 0
WM/WMRVExpirationSpan: 9223372036854775807
WM/WMRVInBandRatingSystem: 255
WM/WMRVInBandRatingLevel: 255
WM/WMRVInBandRatingAttributes: 0
WM/WMRVWatched : false

Duration: 00:02:09.54, start: 2.289534, bitrate: 151 kb/s

Stream #0:0[0x63](spa): Subtitle: dvb_subtitle
Stream #0:1[0x64]: Video: h264 (High), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], 34.72 fps, 25 tbr, 10000k tbn, 50 tbc
Stream #0:2[0x65](dos): Audio: ac3, 48000 Hz, stereo, s16, 192 kb/s
Stream #0:3[0x66](esl): Subtitle: dvb_subtitle (hearing impaired)
Stream #0:4[0x67](spa): Audio: ac3, 48000 Hz, stereo, s16, 192 kb/s

Output #0, mp4, to 'test.mp4':

Metadata:

Tuner ID : 716453EF-7443-4F94-9E30-ED10F1C5788D
WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74bD
WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000eD
Title : Mis tardes con Margueritte
WM/SubTitleDescription: Un parque de una pequeña ciudad sirve de lugar de encuentro para Germain, un carpintero de algo más de cincuenta años y casi analfabeto, y Margueritte, una frágil anciana apasionada por la lectura. Margueritte empieza a leerle extractos de novelas, ha
genre : Cine;Comedia
WM/OriginalReleaseTime: 2010
WM/MediaCredits : Gérard Depardieu/Gisèle? Casadesus/François?-Xavier Demaison/Maurane/Gérard? Depardieu/Gisèle? Casadesus/François?-Xavier Demaison/Maurane/Gérard? Depardieu/Gisèle? Casadesus/François?-Xavier Demaison/Maurane/Gérard? Depardieu/Gisèle? Casadesus/François?
service_provider: Canal+ Comedia HD
service_name : Canal+ Comedia HD
WM/MediaNetworkAffiliation: dvblink
WM/MediaOriginalChannel: 15
WM/MediaOriginalChannelSubNumber: 0
WM/MediaOriginalBroadcastDateTime: 0001-01-01T00:00:00Z
WM/MediaOriginalRunTime: 12066576831
WM/MediaIsStereo: false
WM/MediaIsRepeat: false
WM/MediaIsLive : false
WM/MediaIsTape : false
WM/MediaIsDelay : false
WM/MediaIsSubtitled: false
WM/MediaIsMovie : true
WM/MediaIsPremiere: false
WM/MediaIsFinale: false
WM/MediaIsSAP : false
WM/MediaIsSport : false
WM/Provider : MediaCenterDefault?
WM/VideoClosedCaptioning: false
WM/WMRVEncodeTime: 2012-01-30 18:28:53
WM/WMRVServiceID: !Generated!5457f0224618436e93271f066a788808
WM/WMRVProgramID: !MCProgram!8162774331456992!canal+ comedia hd!1327943400
WM/WMRVRequestID: 0
WM/WMRVScheduleItemID: 0
WM/WMRVQuality : 0
WM/WMRVOriginalSoftPrePadding: 5027
WM/WMRVOriginalSoftPostPadding: 900
WM/WMRVHardPrePadding: -4727
WM/WMRVHardPostPadding: 0
WM/WMRVATSCContent: false
WM/WMRVDTVContent: true
WM/WMRVHDContent: true
Duration : 1303804573
WM/WMRVEndTime : 2012-01-30 18:31:03
WM/WMRVBitrate : 20.971520
WM/WMRVKeepUntil: -1
WM/WMRVActualSoftPrePadding: -6
WM/WMRVActualSoftPostPadding: -176
WM/WMRVContentProtected: false
WM/WMRVContentProtectedPercent: 0
WM/WMRVExpirationSpan: 9223372036854775807
WM/WMRVInBandRatingSystem: 255
WM/WMRVInBandRatingLevel: 255
WM/WMRVInBandRatingAttributes: 0
WM/WMRVWatched : false
encoder : Lavf54.1.100
Stream #0:0: Video: h264 (![0][0][0] / 0x0021), yuv420p, 1920x1080 [SAR 1:1 DAR 16:9], q=2-31, 34.72 fps, 10000k tbn, 10000k tbc
Stream #0:1(dos): Audio: ac3 ([165][0][0][0] / 0x00A5), 48000 Hz, stereo, 192 kb/s

Stream mapping:

Stream #0:1 -> #0:0 (copy)
Stream #0:2 -> #0:1 (copy)

Press [q] to stop, ? for help
DTS 8866777, next:1006678 st:1 invalid droping
DTS 8466777, next:1046678 st:1 invalid droping
DTS 9266777, next:1086678 st:1 invalid droping
DTS 10466777, next:1126678 st:1 invalid droping
DTS 10066777, next:1166678 st:1 invalid droping
DTS 10866777, next:1206678 st:1 invalid droping
DTS 12866777, next:1486678 st:1 invalid droping
[mp4 @ 01BF3120] pts < dts in stream 0
av_interleaved_write_frame(): Invalid argument

Attachments (1)

Test - Copy.wtv (2.3 MB) - added by ramitbhalla 5 years ago.
H.264 video in a WTV file with AC3 audio

Change History (5)

Changed 5 years ago by ramitbhalla

H.264 video in a WTV file with AC3 audio

comment:1 Changed 5 years ago by cehoyos

  • Keywords wtv h264 av_interleaved_write_frame added; WTV PTS<DTS removed
  • Reproduced by developer set
  • Status changed from new to open

Reproducible with ffmpeg -i Test\ -\ Copy.wtv -vcodec copy -an out.mp4

comment:2 Changed 5 years ago by ramitbhalla

Any update on this?

comment:3 Changed 4 years ago by pross

This appears to be fixed. I am able to generate valid mp4 files using these commands.

ffmpeg -i Test\ -\ Copy.wtv -vcodec copy -acodec copy out.mp4
ffmpeg -i Test\ -\ Copy.wtv -vcodec copy -an out.mp4

Please corroborate!

comment:4 Changed 4 years ago by cehoyos

  • Resolution set to fixed
  • Status changed from open to closed
Note: See TracTickets for help on using tickets.